/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.layout.Constants");

/**
 * Constants for the layout model.
 *
 * @ibm-api
 * @ibm-module CoreModel
 *
 */
dojo.declare("com.ibm.mashups.enabler.layout.Constants", null, {

    /**
     * Layout control
     * @type {String}
     *
     * @since 2.4
     */
    LAYOUT_CONTROL: "LayoutControl",
    
    /**
     * Layout container
     * @private
     * @type {String}
     *
     * @since 2.4
     */
    LAYOUT_CONTAINER: "LayoutContainer",
    
    
    /**
     * Context key for widget definition ID
     * @type {String}
     *
     * @since 2.4
     */
    CONTEXT_WIDGET_DEFINITION_ID: "WidgetDefinitionID",
    
    /**
     * Context key for widget definition URL
     * @type {String}
     *
     * @since 2.4
     */
    CONTEXT_WIDGET_DEFINITION_URL: "WidgetDefinitionURL",
    
    /**
     * Context key for the title to be displayed
     * @type {String}
     *
     * @since 3.0
     */
    DISPLAY_TITLE: "displayTitle",
    
    /**
     * Context key for widget definition URL
     *
     * @private
     * @type {String}
     *
     * @since 2.4
     */
    CONTEXT_TYPE: "type"
});

com.ibm.mashups.enabler.layout.Constants = new com.ibm.mashups.enabler.layout.Constants();
