/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.runtime.skin.Constants");

/**
 * Constants for the Runtime Skin Model
 * @ibm-api
 * @ibm-module CoreModel
 * @since 2.4
 */

dojo.declare("com.ibm.mashups.enabler.runtime.skin.Constants", null, {

    /**
     * title dynamic content constant
     * @type {String}
     */
	DYNAMIC_CONTENT_TITLE: "lm-dynamic-title",
	
	/**
	 * icon dynamic content constant
	 * @type {String}
	 */
	DYNAMIC_CONTENT_ICON: "lm-dynamic-icon",
	
	/**
	 * First ordinal position for style filters
	 * @type {Integer}
	 */
	ORDINAL_FIRST: 0,
	
	/**
	 * Last ordinal position for style filters
	 * @type {Integer}
	 */
	ORDINAL_LAST: 50000
	
});

com.ibm.mashups.enabler.runtime.skin.Constants = new com.ibm.mashups.enabler.runtime.skin.Constants();
