if(!dojo._hasResource["com.ibm.dnd.TunedLayoutSource"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.dnd.TunedLayoutSource"] = true;
/**
 * @author Qing Guo
 * This class is used to override the default dojo dnd implementation to minimize un-necessary html refolow and repaint
 * for performance concern regarding IE6&IE7
 */
dojo.provide("com.ibm.dnd.TunedLayoutSource");

dojo.require("com.ibm.dnd.CustomManagerSource");

dojo.declare("com.ibm.dnd.TunedLayoutSource", com.ibm.dnd.CustomManagerSource, {
    managerOverrides: {
        OFFSET_X: 1,
        OFFSET_Y: 1,
        //Following codes are used to override default dojo implementation to provide better performance	
        stopDrag: function(){
            // summary:
            //		stop the DnD in progress
            if (!dojo.isIE) {
                dojo.removeClass(dojo.body(), "dojoDndCopy");
                dojo.removeClass(dojo.body(), "dojoDndMove");
            }
            dojo.forEach(this.events, dojo.disconnect);
            this.events = [];
            this.avatar.destroy();
            this.avatar = null;
            this.source = this.target = null;
            this.nodes = [];
        }
    },
    
    //Override default dojo.dnd.Container's _changeState method
    _changeState: function(type, newState){
        var prefix = "dojoDnd" + type;
        var state = type.toLowerCase() + "State";
        
        //Following changes are against default dojo, if state doesn't change, do not "remove and add" again
        if (this[state] != newState) {
            //dojo.removeClass(this.node, prefix + this[state]);
            //dojo.addClass(this.node, prefix + newState);
            
            var toR = prefix + this[state];
            var toA = prefix + newState;
            var cls = " " + this.node["className"] + " ";
            cls = cls.replace(" " + toR + " ", " ");
            if (toA && cls.indexOf(" " + toA + " ") < 0) {
                cls += toA + " ";
            }
            this.node["className"] = dojo.string.trim(cls);
            this[state] = newState;
        }
    }
});


}
