@echo off
@REM **************************************************************************
@REM Licensed Material - Property of IBM
@REM 5724-M24
@REM Copyright IBM Corporation 2011. All Rights Reserved.
@REM US Government Users Restricted Rights- Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@REM **************************************************************************
@REM Upgrade Business Space Schema from V7.0 to V8.0
@REM **************************************************************************
setlocal

@rem call "%~dp0\..\..\bin\setupCmdLine.bat" %*
set CUR_DIR=%~dp0
cd /d "%~dp0\..\.."
set WAS_HOME=%cd%
cd /d "%CUR_DIR%"

set SYS_PROPS=-Djava.util.logging.config.file=logging.properties
set CLASS_HOME=%WAS_HOME%\plugins
set MY_CLASSPATH=%CLASS_HOME%;%CLASS_HOME%\com.ibm.bspace.profilemigration_7.0.0.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc_license_cisuz.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc_license_cu.jar;%WAS_HOME%\jdbcdrivers\DB2\db2jcc4.jar;%WAS_HOME%\jdbcdrivers\Oracle\ojdbc6.jar;%WAS_HOME%\jdbcdrivers\SQLServer\sqljdbc4.jar

"%WAS_HOME%"\java\jre\bin\java -classpath "%MY_CLASSPATH%" "%SYS_PROPS%" com.ibm.bspace.profilemigration.common.UpgradeBSpaceSchema "%WAS_HOME%"
if  "%ERRORLEVEL%" NEQ "0" (goto fail) else (goto success)

:success
	echo Business Space Schema Upgrading was completed.
	cd /d "%CUR_DIR%"
	endlocal
	exit /B 0
:fail
	echo Business Space schema upgrade ended with failures.
	cd /d "%CUR_DIR%"
	endlocal
	exit /B 1
